Package org.jfree.report.flow.layoutprocessor

# Class BufferedReportTarget

java.lang.Object
org.jfree.report.flow.layoutprocessor.BufferedReportTarget

All Implemented Interfaces:
  `Cloneable`, `ReportTarget`

public class BufferedReportTarget extends Object implements ReportTarget, Cloneable
Todo: Document me!

Since:
  05.03.2007
Author:
  Thomas Morgner

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BufferedReportTarget.RecordedCall`

## Constructor Summary

Constructors
Constructor
Description
`BufferedReportTarget()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`void`
`close(ReportTarget target)`
`void`
`commit()`
`void`
`endElement(org.jfree.layouting.util.AttributeMap attrs)`
`void`
`endReport(ReportStructureRoot report)`
`String`
`getExportDescriptor()`
`org.jfree.layouting.namespace.NamespaceDefinition`
`getNamespaceByUri(String uri)`
`ReportTarget`
`getTarget()`
`void`
`processContent(DataFlags value)`
`void`
`processText(String text)`
`void`
`setTarget(ReportTarget target)`
`void`
`startElement(org.jfree.layouting.util.AttributeMap attrs)`
`void`
`startReport(ReportStructureRoot report)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BufferedReportTarget

public BufferedReportTarget()

## Method Details

### getTarget

public ReportTarget getTarget()

### setTarget

public void setTarget(ReportTarget target)

### startReport

public void startReport(ReportStructureRoot report) throws DataSourceException, ReportProcessingException

Specified by:
  `startReport` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### startElement

public void startElement(org.jfree.layouting.util.AttributeMap attrs) throws DataSourceException, ReportProcessingException

Specified by:
  `startElement` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### processText

public void processText(String text) throws DataSourceException, ReportProcessingException

Specified by:
  `processText` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### processContent

public void processContent(DataFlags value) throws DataSourceException, ReportProcessingException

Specified by:
  `processContent` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### endElement

public void endElement(org.jfree.layouting.util.AttributeMap attrs) throws DataSourceException, ReportProcessingException

Specified by:
  `endElement` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### endReport

public void endReport(ReportStructureRoot report) throws DataSourceException, ReportProcessingException

Specified by:
  `endReport` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### getExportDescriptor

public String getExportDescriptor()

Specified by:
  `getExportDescriptor` in interface `ReportTarget`

### getNamespaceByUri

public org.jfree.layouting.namespace.NamespaceDefinition getNamespaceByUri(String uri)

Specified by:
  `getNamespaceByUri` in interface `ReportTarget`

### commit

public void commit() throws ReportProcessingException

Specified by:
  `commit` in interface `ReportTarget`
Throws:
  `ReportProcessingException`

### close

public void close(ReportTarget target) throws ReportProcessingException, DataSourceException

Throws:
  `ReportProcessingException`
  `DataSourceException`

### clone

public Object clone()

Overrides:
  `clone` in class `Object`